=== debian/changelog ===
ros-galactic-rcl-logging-log4cxx (2.1.5-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-rcl-logging-log4cxx (2.1.4-1focal) focal; urgency=high

  * Change C++ version to 17 in rcl_logging_log4cxx (#79 <https://github.com/ros2/rcl_logging/issues/79>)
  * Contributors: Homalozoa X

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-rcl-logging-log4cxx (2.1.2-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-rcl-logging-log4cxx (2.1.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-rcl-logging-log4cxx (2.1.0-1focal) focal; urgency=high

  * Allow configuring logging directory through environment variables (#53 <https://github.com/ros2/rcl_logging/issues/53>)
  * Update the maintainers. (#55 <https://github.com/ros2/rcl_logging/issues/55>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-rcl-logging-log4cxx (2.0.1-1focal) focal; urgency=high

  * Remove unused pytest dependency. (#43 <https://github.com/ros2/rcl_logging/issues/43>)
  * Contributors: Chris Lalancette

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Tue, 21 Jul 2020 07:00:00 -0000

ros-galactic-rcl-logging-log4cxx (2.0.0-1focal) focal; urgency=high

  * Use new package with rcl logging interface (#41 <https://github.com/ros2/rcl_logging/issues/41>)
  * Contributors: Chris Lalancette

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Thu, 18 Jun 2020 07:00:00 -0000

ros-galactic-rcl-logging-log4cxx (1.0.0-1focal) focal; urgency=high

  * warn about unused return value for set_logger_level (#38 <https://github.com/ros2/rcl_logging/issues/38>)
  * Added public API documentation for log4cxx and spdlog (#32 <https://github.com/ros2/rcl_logging/issues/32>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-rcl-logging-log4cxx (0.4.0-1focal) focal; urgency=high

  * Fix CMake warnings about using uninitialized variables (#30 <https://github.com/ros2/rcl_logging/issues/30>)
  * Code style only: wrap after open parenthesis if not in one line (#24 <https://github.com/ros2/rcl_logging/issues/24>)
  * Contributors: Dirk Thomas

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Fri, 24 Apr 2020 07:00:00 -0000

ros-galactic-rcl-logging-log4cxx (0.3.3-1focal) focal; urgency=high



 -- Amazon B9 <amazon-b9-ros@amazon.com>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-rcl-logging-log4cxx (0.3.2-1focal) focal; urgency=high

  * Enable linters for noop and log4cxx. (#12 <https://github.com/ros2/rcl_logging/issues/12>)
  * Contributors: Steven! Ragnarök

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Mon, 07 Oct 2019 07:00:00 -0000

ros-galactic-rcl-logging-log4cxx (0.3.1-1focal) focal; urgency=high



 -- Amazon B9 <amazon-b9-ros@amazon.com>  Thu, 03 Oct 2019 07:00:00 -0000

ros-galactic-rcl-logging-log4cxx (0.3.0-1focal) focal; urgency=high

  * fix package.xml schema violations (#15 <https://github.com/ros2/rcl_logging/issues/15>)
  * Contributors: Mikael Arguedas

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Thu, 26 Sep 2019 07:00:00 -0000

ros-galactic-rcl-logging-log4cxx (0.2.1-1focal) focal; urgency=high

  * Changing the default location for log files to be a local directory instead of /var/log/ros on linux due to permission issues. (#9 <https://github.com/ros2/rcl_logging/issues/9>)
  * Removes debugging fprintf
  * Review fixes.
  * Move basename down to rcutils layer.
  * Prototype to put things in ~/.ros/log
  * Changing the default location for log files to be a local directory instead of /var/log/ros on linux due to permission issues.
  * Change the API to add an allocator to logging initialize. (#10 <https://github.com/ros2/rcl_logging/issues/10>)
  * Added include dir to installation of rcl_logging_log4cxx. (#7 <https://github.com/ros2/rcl_logging/issues/7>)
  * Contributors: Chris Lalancette, Nick Burek, Rasmus Skovgaard Andersen, Steven! Ragnarök, burekn

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Wed, 08 May 2019 07:00:00 -0000

ros-galactic-rcl-logging-log4cxx (0.2.0-1focal) focal; urgency=high

  * First release of rcl_logging_log4cxx (#3 <https://github.com/ros2/rcl_logging/issues/3>)
    * Fixes for building and running on MAC with log4cxx from brew.
    * Fixing the case for finding log4cxx library.
    * Fixing the log4cxx string macro on Windows and the cmake find for windows as well.
    * Fixing the lib generation on windows.
    * Cleanup of formatting.
    * Use static library for windows instead of debug mode
    * Fix "unreferenced local variable" warning
    * Move C incompatible functions out of extern C block
    * Disable ddl-interface warnings
  * Contributors: Nick Burek

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Sat, 09 Mar 2019 08:00:00 -0000

ros-galactic-rcl-logging-log4cxx (0.1.0-1focal) focal; urgency=high

  * preparing for first release
  * Renaming everything with an 'rcl_' prefix instead of an 'rc_' prefix to match the change in 'rcl' (#2 <https://github.com/ros2/rcl_logging/issues/2>)
  * Contributors: Nick Burek, William Woodall

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Fri, 07 Dec 2018 08:00:00 -0000
